%define gaim_major_ver %{echo '1.0.2'} 
%define gaim_major_ver %(echo %{gaimver} | sed -e 's/\\([[0-9]]*\\).\\([[0-9]]*\\).\\([[0-9]]*\\)/\\1/' -)
%define gaim_minor_ver %(echo %{gaimver} | sed -e 's/\\([[0-9]]*\\).\\([[0-9]]*\\).\\([[0-9]]*\\)/\\2/' -)
%define gaim_next_major_ver %(echo $((%{gaim_major_ver}+1)))
%define rpmrelease 0

Summary: OSD plugin for GAIM using XOSD lib
Name:       gaimnosd
Version:    0.7
Release:    %{gaim_major_ver}.%{gaim_minor_ver}.%{rpmrelease}%{?gaimdist:.%{gaimdist}}
License:    GPL
Group:      Applications/Internet
Url:  http://gaimnosd.sourceforge.net
Vendor: George Kodinov
Packager:   George Kodinov <georgekodinov@users.sourceforge.net>
Source:     gaimnosd-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

Requires:      gaim >= %{gaim_major_ver}.%{gaim_minor_ver}.0, xosd >= 2.2.5

BuildRequires: pkgconfig, libtool, xosd-devel, gaim-devel >= %{gaim_major_ver}.%{gaim_minor_ver}.0

%if "%{_vendor}" == "MandrakeSoft"
BuildRequires: libgtk+1.2-devel, libgtk+2.0_0-devel
%else
BuildRequires: gtk+-devel, gtk2-devel
%endif

%description
a plugin for GAIM to display status changes of the 
users in your contact list on-screen using the
XOSD library.

To rebuild for a specific Gaim version or dist tag:
rpmbuild --rebuild gaim-gaimnosd-0.7-%{release}.src.rpm --define 'gaimver %{gaimver}' --define 'gaimdist %{!?gaimdist:fc1}%{?gaimdist:%{gaimdist}}'

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/gaimnosd.la $RPM_BUILD_ROOT%{_libdir}/gaim/gaimnosd.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README ChangeLog
%{_libdir}/gaim/gaimnosd.so

%changelog
* Thu Jul 14 2005 Germain Masse <germain@antipod.com>
- 0.7 Remove useless opacity selector in the plugin preferences box
-     Strip HTML entities

* Wed Mar 23 2005 Germain Masse <germain@antipod.com>
- 0.6 Added multiline capability for the OSD text.

* Wed Dec 22 2004 George Kodinov <georgekodinov@users.sourceforge.net>
- 0.5 : Added the messages as OSD notifications (based on the idea of Ildar Shaynurov <shir80@mail.ru>).
- Added tooltips to the widgets.
- Fixed few things into the make file.

* Tue Nov 2 2004 George Kodinov <georgekodinov@users.sourceforge.net>
- 0.4.1 : rpm bugfix release - deps fixed.

* Sat Oct 30 2004 George Kodinov <georgekodinov@users.sourceforge.net>
- Added full gettext support
- made the src rpm

* Mon May 17 2004 George Kodinov <georgekodinov@users.sourceforge.net> 
- Updated the Plugin API version to the define.

* Sun Dec 13 2003 George Kodinov <georgekodinov@users.sourceforge.net> 
- Inital RPM package
